Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038141
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2018-03-14 15:092018-03-19 16:19
ReportershuehnerView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision6033a86144f7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038141: FIN_Utility.getDocumentType is not using bind-variables

DescriptionThe following code is not using bind-variables:
see tracking issue for list of reasons why that is bad.

      whereOrderByClause.append(" as dt where dt.organization.id in (");
      whereOrderByClause.append(Utility.getInStrSet(new OrganizationStructureProvider()
          .getParentTree(org.getId(), true)));
      whereOrderByClause.append(") and dt.client.id = '" + client.getId()
          + "' and dt.documentCategory = '" + docCategory + "' order by ad_isorgincluded('"
          + org.getId() + "', dt.organization.id, '" + client.getId()
          + "') , dt.default desc, dt.id desc");
      OBQuery<DocumentType> dt = OBDal.getInstance().createQuery(DocumentType.class,
          whereOrderByClause.toString());
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0103300)
hgbot (developer)
2018-03-16 08:21

Repository: erp/devel/pi
Changeset: 6033a86144f7ea740edff36bd207aeb060be1426
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 15 16:21:15 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6033a86144f7ea740edff36bd207aeb060be1426 [^]

Fixed issue 38141 use bind-variables in FIN_Utility.getDocumentType

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0103312)
hgbot (developer)
2018-03-16 12:00

Repository: erp/devel/pi
Changeset: 57d94fae1907b4c2371488fbafd6f0f45bd3dc60
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Mar 16 11:59:46 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/57d94fae1907b4c2371488fbafd6f0f45bd3dc60 [^]

Related to issue 38141: Code review improvements

Make query more readable.
Update license year.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0103313)
aferraz (developer)
2018-03-16 12:06

Code review + Testing OK
(0103328)
hudsonbot (developer)
2018-03-16 17:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5323533018b6 [^]
Maturity status: Test
(0103350)
hudsonbot (developer)
2018-03-19 16:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/07f42b4b2051 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-14 15:09 shuehner New Issue
2018-03-14 15:09 shuehner Assigned To => Triage Finance
2018-03-14 15:09 shuehner Modules => Core
2018-03-14 15:09 shuehner Triggers an Emergency Pack => No
2018-03-14 15:09 shuehner Relationship added blocks 0038136
2018-03-14 16:34 shuehner Assigned To Triage Finance => Sandrahuguet
2018-03-15 11:29 Sandrahuguet Status new => scheduled
2018-03-16 08:21 hgbot Checkin
2018-03-16 08:21 hgbot Note Added: 0103300
2018-03-16 08:22 hgbot Status scheduled => resolved
2018-03-16 08:22 hgbot Resolution open => fixed
2018-03-16 08:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6033a86144f7ea740edff36bd207aeb060be1426 [^]
2018-03-16 08:32 Sandrahuguet Review Assigned To => aferraz
2018-03-16 12:00 hgbot Checkin
2018-03-16 12:00 hgbot Note Added: 0103312
2018-03-16 12:06 aferraz Note Added: 0103313
2018-03-16 12:06 aferraz Status resolved => closed
2018-03-16 12:06 aferraz Fixed in Version => 3.0PR18Q2
2018-03-16 17:29 hudsonbot Checkin
2018-03-16 17:29 hudsonbot Note Added: 0103328
2018-03-19 16:19 hudsonbot Checkin
2018-03-19 16:19 hudsonbot Note Added: 0103350


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker